// THIS FILE IS A MANUFACTURED INTERFACE FILE
// THIS FILE SHOULD NOT BE MODIFIED BY HAND

package com.opentext.api;

public class RecMan
{
	public RecMan( LLConnect connect )
	{
		fConnect = connect;
	}

	protected LLConnect fConnect;

	public int CreateRMObject(
		int        ObjectType,
		LLValue    AdditionalInfo )
	{
		fConnect.initCall( "CreateRMObject" );

		fConnect.marshall();

		fConnect.marshall( "ObjectType", ObjectType );
		fConnect.marshall( "AdditionalInfo", AdditionalInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int DeleteRMObject(
		int        ObjectType,
		LLValue    AdditionalInfo )
	{
		fConnect.initCall( "DeleteRMObject" );

		fConnect.marshall();

		fConnect.marshall( "ObjectType", ObjectType );
		fConnect.marshall( "AdditionalInfo", AdditionalInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMApplyHold(
		int        NodeID,
		int        HoldID )
	{
		fConnect.initCall( "RMApplyHold" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "HoldID", HoldID );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMBatchApplyHold(
		LLValue    NodeIDList,
		int        HoldID )
	{
		fConnect.initCall( "RMBatchApplyHold" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDList", NodeIDList );
		fConnect.marshall( "HoldID", HoldID );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMBatchClassify(
		LLValue    NodeIDList,
		int        ClassID,
		LLValue    AdditionalInfo )
	{
		fConnect.initCall( "RMBatchClassify" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDList", NodeIDList );
		fConnect.marshall( "ClassID", ClassID );
		fConnect.marshall( "AdditionalInfo", AdditionalInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMBatchMarkOfficial(
		LLValue    NodeIDList )
	{
		fConnect.initCall( "RMBatchMarkOfficial" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDList", NodeIDList );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMBatchRemoveHold(
		LLValue    NodeIDList,
		int        HoldID )
	{
		fConnect.initCall( "RMBatchRemoveHold" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDList", NodeIDList );
		fConnect.marshall( "HoldID", HoldID );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMBatchRemoveOfficial(
		LLValue    NodeIDList )
	{
		fConnect.initCall( "RMBatchRemoveOfficial" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDList", NodeIDList );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMBatchUpdate(
		LLValue    NodeIDList,
		LLValue    RecDetailsInfo )
	{
		fConnect.initCall( "RMBatchUpdate" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDList", NodeIDList );
		fConnect.marshall( "RecDetailsInfo", RecDetailsInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMClassificationFavorites(
		LLValue    ClassFavorites )
	{
		fConnect.initCall( "RMClassificationFavorites" );

		fConnect.marshall();


		fConnect.execute( fConnect );

		ClassFavorites.setValue( fConnect.unMarshall( "ClassFavorites" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMClassificationPickList(
		int        GroupPickList,
		LLValue    ClassPickList )
	{
		fConnect.initCall( "RMClassificationPickList" );

		fConnect.marshall();

		fConnect.marshall( "GroupPickList", GroupPickList );

		fConnect.execute( fConnect );

		ClassPickList.setValue( fConnect.unMarshall( "ClassPickList" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMClassify(
		int        NodeID,
		int        ClassID,
		LLValue    AdditionalInfo )
	{
		fConnect.initCall( "RMClassify" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "ClassID", ClassID );
		fConnect.marshall( "AdditionalInfo", AdditionalInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetClassificationChildren(
		int        NodeID,
		LLValue    Children )
	{
		fConnect.initCall( "RMGetClassificationChildren" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );

		fConnect.execute( fConnect );

		Children.setValue( fConnect.unMarshall( "Children" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetClassificationRoot(
		LLValue    Root )
	{
		fConnect.initCall( "RMGetClassificationRoot" );

		fConnect.marshall();


		fConnect.execute( fConnect );

		Root.setValue( fConnect.unMarshall( "Root" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetClassifyInfo(
		int        NodeID,
		LLValue    ClassifyInfo )
	{
		fConnect.initCall( "RMGetClassifyInfo" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );

		fConnect.execute( fConnect );

		ClassifyInfo.setValue( fConnect.unMarshall( "ClassifyInfo" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetCodes(
		LLValue    Status,
		LLValue    Essential,
		LLValue    Storage,
		LLValue    RSI,
		LLValue    HoldType,
		LLValue    DocXRefTyp,
		LLValue    XRefVersionCode )
	{
		fConnect.initCall( "RMGetCodes" );

		fConnect.marshall();


		fConnect.execute( fConnect );

		Status.setValue( fConnect.unMarshall( "Status" ) );
		Essential.setValue( fConnect.unMarshall( "Essential" ) );
		Storage.setValue( fConnect.unMarshall( "Storage" ) );
		RSI.setValue( fConnect.unMarshall( "RSI" ) );
		HoldType.setValue( fConnect.unMarshall( "HoldType" ) );
		DocXRefTyp.setValue( fConnect.unMarshall( "DocXRefTyp" ) );
		XRefVersionCode.setValue( fConnect.unMarshall( "XRefVersionCode" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetCreateInfo(
		int        ParentNodeID,
		int        SubType,
		LLValue    CreateInfo )
	{
		fConnect.initCall( "RMGetCreateInfo" );

		fConnect.marshall();

		fConnect.marshall( "ParentNodeID", ParentNodeID );
		fConnect.marshall( "SubType", SubType );

		fConnect.execute( fConnect );

		CreateInfo.setValue( fConnect.unMarshall( "CreateInfo" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetHolds(
		LLValue    bActive,
		LLValue    allHolds )
	{
		fConnect.initCall( "RMGetHolds" );

		fConnect.marshall();

		fConnect.marshall( "bActive", bActive );

		fConnect.execute( fConnect );

		allHolds.setValue( fConnect.unMarshall( "allHolds" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetManagedTypes(
		LLValue    ManagedTypes )
	{
		fConnect.initCall( "RMGetManagedTypes" );

		fConnect.marshall();


		fConnect.execute( fConnect );

		ManagedTypes.setValue( fConnect.unMarshall( "ManagedTypes" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetRMProperties(
		LLValue    NodeIDs,
		LLValue    Properties,
		LLValue    PropertyValues )
	{
		fConnect.initCall( "RMGetRMProperties" );

		fConnect.marshall();

		fConnect.marshall( "NodeIDs", NodeIDs );
		fConnect.marshall( "Properties", Properties );

		fConnect.execute( fConnect );

		PropertyValues.setValue( fConnect.unMarshall( "PropertyValues" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMGetRSIDetails(
		int        NodeID,
		String     RSI,
		LLValue    Details )
	{
		fConnect.initCall( "RMGetRSIDetails" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "RSI", RSI );

		fConnect.execute( fConnect );

		Details.setValue( fConnect.unMarshall( "Details" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMMarkOfficial(
		int        NodeID )
	{
		fConnect.initCall( "RMMarkOfficial" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMRemoveClassification(
		int        NodeID,
		LLValue    ClassID_list )
	{
		fConnect.initCall( "RMRemoveClassification" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "ClassID_list", ClassID_list );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMRemoveHold(
		int        NodeID,
		int        HoldID )
	{
		fConnect.initCall( "RMRemoveHold" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "HoldID", HoldID );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMRemoveOfficial(
		int        NodeID )
	{
		fConnect.initCall( "RMRemoveOfficial" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMSettings(
		LLValue    moreInfo,
		LLValue    RMSettings )
	{
		fConnect.initCall( "RMSettings" );

		fConnect.marshall();

		fConnect.marshall( "moreInfo", moreInfo );

		fConnect.execute( fConnect );

		RMSettings.setValue( fConnect.unMarshall( "RMSettings" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMShowAllHolds(
		int        NodeID,
		LLValue    allHolds )
	{
		fConnect.initCall( "RMShowAllHolds" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );

		fConnect.execute( fConnect );

		allHolds.setValue( fConnect.unMarshall( "allHolds" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMUpdateDetails(
		int        NodeID,
		LLValue    RecDetailsInfo )
	{
		fConnect.initCall( "RMUpdateDetails" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "RecDetailsInfo", RecDetailsInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMUserFunctionalAccess(
		LLValue    FuncList,
		LLValue    AssignedFunctions )
	{
		fConnect.initCall( "RMUserFunctionalAccess" );

		fConnect.marshall();

		fConnect.marshall( "FuncList", FuncList );

		fConnect.execute( fConnect );

		AssignedFunctions.setValue( fConnect.unMarshall( "AssignedFunctions" ) );

		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int RMXReference(
		int        NodeID,
		int        xNodeID,
		String     DocXRefTyp,
		String     xComments,
		int        bAdd )
	{
		fConnect.initCall( "RMXReference" );

		fConnect.marshall();

		fConnect.marshall( "NodeID", NodeID );
		fConnect.marshall( "xNodeID", xNodeID );
		fConnect.marshall( "DocXRefTyp", DocXRefTyp );
		fConnect.marshall( "xComments", xComments );
		fConnect.marshall( "bAdd", bAdd );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public int UpdateRMObject(
		int        ObjectType,
		LLValue    AdditionalInfo )
	{
		fConnect.initCall( "UpdateRMObject" );

		fConnect.marshall();

		fConnect.marshall( "ObjectType", ObjectType );
		fConnect.marshall( "AdditionalInfo", AdditionalInfo );

		fConnect.execute( fConnect );


		fConnect.unMarshall();

		return fConnect.getStatus();
	}

	public final static int RM_HOLD = 1;
	public final static int RM_RSI = 2;
	public final static int RM_ACCESSION = 3;
	public final static int RM_CROSSREFERENCE = 4;
	public final static int RM_ESSENTIAL = 5;
	public final static int RM_FINALDISPOSITION = 6;
	public final static int RM_HOLDTYPE = 7;
	public final static int RM_JURISDICTION = 8;
	public final static int RM_RSIRETENTION = 9;
	public final static int RM_RSISTAGE = 10;
	public final static int RM_RSIRULE = 11;
	public final static int RM_RSISTATUS = 12;
	public final static int RM_STATUS = 13;
	public final static int RM_STORAGEMEDIUM = 14;
	public final static int RM_ACTION_HOLDUPDATE = 1;
	public final static int RM_ACTION_HOLDSUSPEND = 2;
	public final static int RM_ACTION_HOLDREACTIVATE = 3;

}
